Bug 842256 - [Content Search] The 'Show' drop down shows 'errata' as default selection even if user click on packages link to list
[Content Search] The 'Show' drop down shows 'errata' as default selection eve...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Eric Helms
Sachin Ghai
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 05:11 EDT by Sachin Ghai
Modified: 2013-08-16 14:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The "Show" drop-down showed "Errata" as the default selection instead of "Packages" for content searches after a user clicks on the "Packages" link. This fix correct the styling and behavior of the "Show" drop-down menu. The "Show" drop-down shows "Packages" after clicking the "Packages" link.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:47:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
On selecting the packages link, the 'Show' drop down shows errata as default selection. (60.45 KB, image/png)
2012-07-23 05:11 EDT, Sachin Ghai
no flags Details
on clicking errata link, the show dropdown still shows 'packages' (71.15 KB, image/png)
2012-08-02 07:46 EDT, Sachin Ghai
no flags Details

  None (edit)
Description Sachin Ghai 2012-07-23 05:11:50 EDT
Created attachment 599725 [details]
On selecting the packages link, the 'Show' drop down shows errata as default selection.

Description of problem:
I synced a RH repo and selected the packages link from content search. When I clicked on 'packages' link the UI list down the packages with description, however the show dropdown was showing the 'errata' as default selection.

Version-Release number of selected component (if applicable):
katello-0.2.47-1.git.225.b3aa579.el6_3.noarch

How reproducible:
always

Steps to Reproduce:
1. Sync a RH repo
2. Go to content search
3. Select Repos and click on go
4. Hover-over a RH repo created in step1
5. click on 'packages' link
  
Actual results:
On selecting the packages link, the 'Show' drop down shows errata as default selection.

Expected results:
On selecting the packages link, the 'Show' drop down should show the 'packages' instead of errata.

Additional info:
Comment 1 Justin Sherrill 2012-08-01 17:08:42 EDT
I'm not able to reproduce this with master, i believe it was something that was fixed since katello-0.2.47-1.git.225.b3aa579.el6_3.noarch.  Moving to on_dev.
Comment 2 Sachin Ghai 2012-08-02 07:38:31 EDT
This issue is still persist. I reproduced this issue with following katello build:

katello-0.2.50-1.git.0.1110b64.el6_3.noarch
Comment 3 Sachin Ghai 2012-08-02 07:46:38 EDT
Created attachment 601933 [details]
on clicking  errata link, the show dropdown still shows 'packages'

steps to reproduce:

1. sync any RedHat repo
2. Go to content search --> select 'repos' from drop down and click on 'Go"
3. Now from right pane --> click 'packages' link 
4. packages list opens and now from 'Show' drop down select 'errata' and click 'Back to results'
5. Now again click on 'packages' link
Comment 4 Justin Sherrill 2012-08-02 09:25:02 EDT
That's still too old.  katello-0.2.50-1.git.0.1110b64.el6_3.noarch looks like it was built on the 25th, this didn't make it to master till the 27th.  https://github.com/Katello/katello/pull/380   was the pull request.
Comment 5 Sachin Ghai 2012-08-02 10:09:12 EDT
I'm installing new setup with latest build.. and will test it again.
Comment 7 Sachin Ghai 2012-09-18 04:28:47 EDT
Verified with following CFSE build:

[root@dhcp201-107 ~]# rpm -qa | grep katello
katello-qpid-client-key-pair-1.0-1.noarch
katello-common-1.1.12-7.el6cf.noarch
katello-all-1.1.12-7.el6cf.noarch
katello-cli-1.1.8-4.el6cf.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-glue-candlepin-1.1.12-7.el6cf.noarch
katello-selinux-1.1.1-1.el6cf.noarch
katello-configure-1.1.9-3.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-4.el6cf.noarch
katello-glue-pulp-1.1.12-7.el6cf.noarch
katello-1.1.12-7.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch


Now both links (errata/packages are perfectly showing the default selection under drop down.
Comment 9 errata-xmlrpc 2012-12-04 14:47:56 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 10 Mike McCune 2013-08-16 14:16:23 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.